=== debian/changelog ===
seqan-needle (1.0.3+ds-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Replace transitional package pkg-config by pkgconf in Build-Depends
    (routine-update)
  * Refreshed patches
  * d/rules: ensure that the tests are built

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 11 Nov 2024 11:24:30 +0100
