=== debian/control ===
Source: seqan-needle
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Build-Depends: debhelper-compat (= 13),
               architecture-is-64-bit,
               architecture-is-little-endian,
               cmake,
               libseqan3-dev (>= 3.2.0+ds-5),
               libgtest-dev,
               libcereal-dev,
               pkgconf,
               git,
               doxygen <!nodoc>
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/med-team/seqan-needle
Vcs-Git: https://salsa.debian.org/med-team/seqan-needle.git
Homepage: https://github.com/seqan/needle
Rules-Requires-Root: no

Package: seqan-needle
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: pre-filter for the counting of very large collections of nucleotide sequences
 Needle is a tool for semi-quantitative analysis of very large collections of
 nucleotide sequences.
 .
 Needle stores its data in multiple interleaved Bloom filter, a fast and space
 efficient probabilistic data structure and uses a windowing scheme (also called
 minimisers) to reduce the amount of data to store. How many interleaved Bloom
 filter are used is defined by the user. Each interleaved Bloom filter has a so
 called expression threshold and stores minimisers with an occurrence greater
 than or equal to its own expression threshold and smaller than the next biggest
 expression threshold (if there is no bigger expression threshold, all greater
 than or equal to the threshold are stored). These expression thresholds are
 then used during the query (called estimate) to approximate the expression
 values of given transcripts.

Package: seqan-needle-doc
Architecture: all
Depends: ${misc:Depends}
Section: doc
Multi-Arch: foreign
Description: HTML documentation for seqan-needle and its APIs
 Needle is a tool for semi-quantitative analysis of very large collections of
 nucleotide sequences.
 .
 Needle stores its data in multiple interleaved Bloom filter, a fast and space
 efficient probabilistic data structure and uses a windowing scheme (also called
 minimisers) to reduce the amount of data to store. How many interleaved Bloom
 filter are used is defined by the user. Each interleaved Bloom filter has a so
 called expression threshold and stores minimisers with an occurrence greater
 than or equal to its own expression threshold and smaller than the next biggest
 expression threshold (if there is no bigger expression threshold, all greater
 than or equal to the threshold are stored). These expression thresholds are
 then used during the query (called estimate) to approximate the expression
 values of given transcripts.
 .
 This package contains Needle's HTML docs.
