=== debian/tests/control ===
Tests: run-unit-tests
Depends: @, build-essential, cmake, libseqan3-dev, libgtest-dev, libcereal-dev, git
Restrictions: allow-stderr
