=== debian/watch ===
version=4
opts=\
 "searchmode=plain, \
 filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%, \
 dversionmangle=auto, \
 repacksuffix=+ds, \
 uversionmangle=s/-rc/~rc/" \
  https://api.github.com/repos/seqan/needle/releases https://github.com/seqan/needle/releases/download/(?:.*?/)?needle-@ANY_VERSION@-Source@ARCHIVE_EXT@
